<!DOCTYPE html>
<html lang="en-GB" xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Test Pages for SVG Images in Labels</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  <meta name="robots" content="noindex, nofollow" />
</head>
<body class="svgtests">
  <header id="header">
    <h1><span class="h1txt">Test Pages for <abbr>SVG</abbr> Images in Labels</span></h1>
  </header>

  <main id="main">
    <p>Three labels; one without any text alternative, one with a span that is visible only to screen readers and one that uses <abbr>SVG</abbr>'s <code>title</code> element.</p>
    <form action="index.html" method="post" enctype="multipart/form-data" name="svg">
      <p class="option">
        <input type="radio" name="feedback" id="feedback-1" class="option__input">
        <label for="feedback-1" class="option__label">
          <span class="option__icon">
            <svg viewBox="0 0 23 23" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <path d="M12.6445 13.75C12.9153 13.75 13.139 13.6612 13.3157 13.4837C13.4932 13.3071 13.582 13.0833 13.582 12.8125C13.582 12.5417 13.4932 12.3175 13.3157 12.14C13.139 11.9633 12.9153 11.875 12.6445 11.875C12.3736 11.875 12.1499 11.9633 11.9732 12.14C11.7957 12.3175 11.707 12.5417 11.707 12.8125C11.707 13.0833 11.7957 13.3071 11.9732 13.4837C12.1499 13.6612 12.3736 13.75 12.6445 13.75ZM11.9882 10.9375H13.3007C13.3007 10.6042 13.3215 10.3592 13.3632 10.2025C13.4049 10.0467 13.4986 9.88542 13.6445 9.71875C13.7486 9.59375 13.8582 9.47417 13.9732 9.36C14.0874 9.245 14.2174 9.10417 14.3632 8.9375C14.6549 8.625 14.8578 8.33833 14.972 8.0775C15.087 7.8175 15.1445 7.54167 15.1445 7.25C15.1445 6.58333 14.9207 6.04167 14.4732 5.625C14.0249 5.20833 13.4361 5 12.707 5C12.1028 5 11.5665 5.16125 11.0982 5.48375C10.629 5.80708 10.3007 6.25 10.1132 6.8125L11.332 7.3125C11.4361 6.95833 11.6082 6.6875 11.8482 6.5C12.0874 6.3125 12.3632 6.21875 12.6757 6.21875C13.009 6.21875 13.2853 6.32292 13.5045 6.53125C13.7228 6.73958 13.832 7 13.832 7.3125C13.832 7.5 13.7799 7.68208 13.6757 7.85875C13.5715 8.03625 13.4153 8.22917 13.207 8.4375C13.0611 8.58333 12.9153 8.71875 12.7695 8.84375C12.6236 8.96875 12.4882 9.11458 12.3632 9.28125C12.1757 9.55208 12.0665 9.82292 12.0357 10.0938C12.004 10.3646 11.9882 10.6458 11.9882 10.9375ZM8.23821 22.5V18.75H6.98821C6.30071 18.75 5.71238 18.5054 5.22321 18.0163C4.73321 17.5263 4.48821 16.9375 4.48821 16.25V13.75H3.23821C2.73821 13.75 2.37904 13.5417 2.16071 13.125C1.94154 12.7083 1.94654 12.2917 2.17571 11.875L4.64446 7.5C4.81113 5.41667 5.72779 3.64583 7.39446 2.1875C9.06112 0.729167 11.009 0 13.2382 0C15.6549 0 17.7174 0.854167 19.4257 2.5625C21.134 4.27083 21.9882 6.33333 21.9882 8.75C21.9882 10.5208 21.5249 12.1042 20.5982 13.5C19.6707 14.8958 18.4674 15.9583 16.9882 16.6875V22.5H8.23821ZM10.7382 20H14.4882V15.0625L15.6132 14.5625C16.7382 14.0625 17.6653 13.2967 18.3945 12.265C19.1236 11.2342 19.4882 10.0625 19.4882 8.75C19.4882 7.02083 18.879 5.54708 17.6607 4.32875C16.4415 3.10958 14.9674 2.5 13.2382 2.5C11.5715 2.5 10.139 3.0575 8.94071 4.1725C7.74321 5.28667 7.09238 6.71875 6.98821 8.46875L5.39446 11.25H6.98821V16.25H10.7382V20Z"></path>
            </svg>
          </span>
        </label>
      </p>
      <p class="option">
        <input type="radio" name="feedback" id="feedback-2" class="option__input">
        <label for="feedback-2" class="option__label">
          <span class="option__icon">
            <svg aria-hidden="true" focusable="false" viewBox="0 0 25 25" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <path d="M16.875 11.25C17.4167 11.25 17.8646 11.0729 18.2188 10.7188C18.5729 10.3646 18.75 9.91667 18.75 9.375C18.75 8.83333 18.5729 8.38542 18.2188 8.03125C17.8646 7.67708 17.4167 7.5 16.875 7.5C16.3333 7.5 15.8854 7.67708 15.5312 8.03125C15.1771 8.38542 15 8.83333 15 9.375C15 9.91667 15.1771 10.3646 15.5312 10.7188C15.8854 11.0729 16.3333 11.25 16.875 11.25ZM8.125 11.25C8.66667 11.25 9.11458 11.0729 9.46875 10.7188C9.82292 10.3646 10 9.91667 10 9.375C10 8.83333 9.82292 8.38542 9.46875 8.03125C9.11458 7.67708 8.66667 7.5 8.125 7.5C7.58333 7.5 7.13542 7.67708 6.78125 8.03125C6.42708 8.38542 6.25 8.83333 6.25 9.375C6.25 9.91667 6.42708 10.3646 6.78125 10.7188C7.13542 11.0729 7.58333 11.25 8.125 11.25ZM12.5 14.375C11.0208 14.375 9.71375 14.7813 8.57875 15.5938C7.44292 16.4062 6.625 17.4583 6.125 18.75H8.1875C8.625 18 9.21875 17.3958 9.96875 16.9375C10.7188 16.4792 11.5625 16.25 12.5 16.25C13.4375 16.25 14.2812 16.4792 15.0312 16.9375C15.7812 17.3958 16.375 18 16.8125 18.75H18.875C18.375 17.4583 17.5571 16.4062 16.4212 15.5938C15.2863 14.7813 13.9792 14.375 12.5 14.375ZM12.5 25C10.7708 25 9.14583 24.6717 7.625 24.015C6.10417 23.3592 4.78125 22.4688 3.65625 21.3438C2.53125 20.2188 1.64083 18.8958 0.985 17.375C0.328333 15.8542 0 14.2292 0 12.5C0 10.7708 0.328333 9.14583 0.985 7.625C1.64083 6.10417 2.53125 4.78125 3.65625 3.65625C4.78125 2.53125 6.10417 1.64042 7.625 0.98375C9.14583 0.327917 10.7708 0 12.5 0C14.2292 0 15.8542 0.327917 17.375 0.98375C18.8958 1.64042 20.2188 2.53125 21.3438 3.65625C22.4688 4.78125 23.3592 6.10417 24.015 7.625C24.6717 9.14583 25 10.7708 25 12.5C25 14.2292 24.6717 15.8542 24.015 17.375C23.3592 18.8958 22.4688 20.2188 21.3438 21.3438C20.2188 22.4688 18.8958 23.3592 17.375 24.015C15.8542 24.6717 14.2292 25 12.5 25ZM12.5 22.5C15.2708 22.5 17.6304 21.5263 19.5788 19.5788C21.5263 17.6304 22.5 15.2708 22.5 12.5C22.5 9.72917 21.5263 7.36958 19.5788 5.42125C17.6304 3.47375 15.2708 2.5 12.5 2.5C9.72917 2.5 7.37 3.47375 5.4225 5.42125C3.47417 7.36958 2.5 9.72917 2.5 12.5C2.5 15.2708 3.47417 17.6304 5.4225 19.5788C7.37 21.5263 9.72917 22.5 12.5 22.5Z"></path>
            </svg>
          </span>
          <span class="sr-only">OK</span>
        </label>
      </p>
      <p class="option">
        <input type="radio" name="feedback" id="feedback-3" class="option__input">
        <label for="feedback-3" class="option__label">
          <span class="option__icon">
            <svg role="img" focusable="false" viewBox="0 0 25 25" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <title>slecht</title>
              <path aria-hidden="true" d="M16.875 11.25C17.4167 11.25 17.8646 11.0729 18.2188 10.7188C18.5729 10.3646 18.75 9.91667 18.75 9.375C18.75 8.83333 18.5729 8.38542 18.2188 8.03125C17.8646 7.67708 17.4167 7.5 16.875 7.5C16.3333 7.5 15.8854 7.67708 15.5312 8.03125C15.1771 8.38542 15 8.83333 15 9.375C15 9.91667 15.1771 10.3646 15.5312 10.7188C15.8854 11.0729 16.3333 11.25 16.875 11.25ZM8.125 11.25C8.66667 11.25 9.11458 11.0729 9.46875 10.7188C9.82292 10.3646 10 9.91667 10 9.375C10 8.83333 9.82292 8.38542 9.46875 8.03125C9.11458 7.67708 8.66667 7.5 8.125 7.5C7.58333 7.5 7.13542 7.67708 6.78125 8.03125C6.42708 8.38542 6.25 8.83333 6.25 9.375C6.25 9.91667 6.42708 10.3646 6.78125 10.7188C7.13542 11.0729 7.58333 11.25 8.125 11.25ZM8.75 16.875H16.25V15H8.75V16.875ZM12.5 25C10.7708 25 9.14583 24.6717 7.625 24.015C6.10417 23.3592 4.78125 22.4688 3.65625 21.3438C2.53125 20.2188 1.64083 18.8958 0.985 17.375C0.328333 15.8542 0 14.2292 0 12.5C0 10.7708 0.328333 9.14583 0.985 7.625C1.64083 6.10417 2.53125 4.78125 3.65625 3.65625C4.78125 2.53125 6.10417 1.64042 7.625 0.98375C9.14583 0.327917 10.7708 0 12.5 0C14.2292 0 15.8542 0.327917 17.375 0.98375C18.8958 1.64042 20.2188 2.53125 21.3438 3.65625C22.4688 4.78125 23.3592 6.10417 24.015 7.625C24.6717 9.14583 25 10.7708 25 12.5C25 14.2292 24.6717 15.8542 24.015 17.375C23.3592 18.8958 22.4688 20.2188 21.3438 21.3438C20.2188 22.4688 18.8958 23.3592 17.375 24.015C15.8542 24.6717 14.2292 25 12.5 25ZM12.5 22.5C15.2708 22.5 17.6304 21.5263 19.5788 19.5788C21.5263 17.6304 22.5 15.2708 22.5 12.5C22.5 9.72917 21.5263 7.36958 19.5788 5.42125C17.6304 3.47375 15.2708 2.5 12.5 2.5C9.72917 2.5 7.37 3.47375 5.4225 5.42125C3.47417 7.36958 2.5 9.72917 2.5 12.5C2.5 15.2708 3.47417 17.6304 5.4225 19.5788C7.37 21.5263 9.72917 22.5 12.5 22.5Z"></path>
            </svg>
          </span>
        </label>
      </p>
    </form>

    <p>See also:</p>
    <ul>
      <li>Soueidan, Sara:
        <a href="https://www.sarasoueidan.com/blog/inclusively-hiding-and-styling-checkboxes-and-radio-buttons/">Inclusively Hiding &amp; Styling Checkboxes and Radio Buttons</a>,
        <i class="blog">Sara Soueidan</i>, 16.06.2020.
      </li>
      <li>O'Hara, Scott:
        <a href="https://www.scottohara.me/blog/2019/05/22/contextual-images-svgs-and-a11y.html">Contextually Marking up accessible images and <abbr>SVG</abbr>s</a>,
        <i class="blog">scottohara.me</i>, 22.05.2019, updated on 03.09.2021.
      </li>
    </ul>
  </main>

  <footer id="footer">
    <p id="licence">
      <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png" /></a>
      <br />
      <span><a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a></span>
      by
      <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
      is licensed under a <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
</body>
</html>